<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Vampirella</Series>
  <Number>14</Number>
  <Web>https://www.comixology.com/Vampirella-2019-14/digital-comic/882880</Web>
  <Volume>2019</Volume>
  <Summary>The Final Chapter of Seduction of the Innocent: Vampirella’s 50th Anniversary year concludes with a mother-daughter showdown as Vampirella confronts Lilith, the 400-year old sorceress, regarding Lilith’s obsession with her first daughter, the Warren-era original DRACULINA who’s been lost in time for centuries and may now have been incarnated as a human child who is obsessed with Vampirella and demanding to become Vampi’s acolyte.</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB882880]</Notes>
  <Publisher>Dynamite Entertainment</Publisher>
  <Genre>Horror, Action/Adventure</Genre>
  <PageCount>31</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
